> ## Documentation Index
> Fetch the complete documentation index at: https://docs.emergence.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Workflow Definitions

> Retrieve a paginated list of workflow definitions (available workflow types).

Workflow definitions are the deployed pipeline templates that can be configured
with custom settings, schedules, and triggers.

Supports filtering by:
- `workflow_type`: Filter by workflow type
- `is_active`: Filter by active status
- `data_asset_type`: Filter workflows that support a specific data asset type

This endpoint is useful for discovering available workflow types that can be
configured for execution.



## OpenAPI

````yaml /openapi/em-data-readiness-v2.yaml get /api/data-readiness/workflows/definitions
openapi: 3.1.0
info:
  title: EM Data Readiness Service
  description: Data Readiness Service API for managing workflows, metrics, and data quality
  version: 4.3.0-dev1
servers: []
security:
  - BearerAuth: []
tags:
  - name: Health
    description: Service health monitoring. Check service status and version information.
  - name: Root
    description: Root endpoint providing service information and navigation links.
  - name: Configuration
    description: Service configuration endpoints. View current configuration values.
  - name: Workflows
    description: >-
      Workflow configuration and execution management. Create, configure, and
      run data quality workflows including definitions, configurations, runs,
      and tasks.
  - name: Data Assets
    description: >-
      Data catalog entity management. Manage databases, schemas, and tables
      metadata.
  - name: Metrics
    description: >-
      Data quality metrics and scorecards. Calculate scores, view trends, and
      analyze dimensions.
  - name: Violations
    description: >-
      Data quality violation management. View, acknowledge, and remediate
      detected violations.
  - name: Glossary
    description: >-
      Business glossary management. Create, verify, and organize business terms
      and definitions.
paths:
  /api/data-readiness/workflows/definitions:
    get:
      tags:
        - Workflows
      summary: List Workflow Definitions
      description: >-
        Retrieve a paginated list of workflow definitions (available workflow
        types).


        Workflow definitions are the deployed pipeline templates that can be
        configured

        with custom settings, schedules, and triggers.


        Supports filtering by:

        - `workflow_type`: Filter by workflow type

        - `is_active`: Filter by active status

        - `data_asset_type`: Filter workflows that support a specific data asset
        type


        This endpoint is useful for discovering available workflow types that
        can be

        configured for execution.
      operationId: list_workflow_definitions
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number (1-indexed)
            examples:
              - 1
            default: 1
            title: Page
          description: Page number (1-indexed)
        - name: per_page
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Items per page (max 100)
            examples:
              - 20
            default: 20
            title: Per Page
          description: Items per page (max 100)
        - name: workflow_type
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/WorkflowType'
              - type: 'null'
            description: Filter by workflow type
            examples:
              - generate-pii-tags
              - generate-dq-tags
              - enrich-table-columns
            title: Workflow Type
          description: Filter by workflow type
        - name: is_active
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: >-
              Filter by active status. Defaults to true (active only). Pass
              false to see retired definitions; omit or pass null to see all.
            default: true
            title: Is Active
          description: >-
            Filter by active status. Defaults to true (active only). Pass false
            to see retired definitions; omit or pass null to see all.
        - name: data_asset_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter workflows that support a specific data asset type
            examples:
              - table
              - topic
            title: Data Asset Type
          description: Filter workflows that support a specific data asset type
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedWorkflowDefinitionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    WorkflowType:
      type: string
      enum:
        - generate-table-description
        - generate-pii-tags
        - generate-dq-tags
        - generate-sensitivity-tags
        - enrich-table-columns
        - service-ingestion
        - profiling
        - dq-rule-generation
        - dq-execution
        - metadata-assessment
        - dq-assessment
        - dq-tag-generation
        - intelligence
        - metadata-enrichment
        - run-all-enrichment
      title: WorkflowType
      description: >-
        Workflow types available in the system.


        These values match the Prefect deployment names defined in

        ``scripts/prefect/deploy.py`` to enable direct mapping when triggering
        workflows.
    PaginatedWorkflowDefinitionResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/WorkflowDefinitionListItem'
          type: array
          title: Data
          description: List of workflow definition items
        pagination:
          $ref: '#/components/schemas/PaginationMeta'
          description: Pagination metadata
      type: object
      required:
        - pagination
      title: PaginatedWorkflowDefinitionResponse
      description: Paginated list of workflow definitions.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkflowDefinitionListItem:
      properties:
        workflow_type:
          $ref: '#/components/schemas/WorkflowType'
          description: Type of workflow
          examples:
            - generate-pii-tags
        id:
          type: string
          format: uuid
          title: Id
          description: Unique workflow definition identifier
          examples:
            - 123e4567-e89b-12d3-a456-426614174001
        name:
          type: string
          title: Name
          description: Workflow name
          examples:
            - Generate PII Tags
        category:
          $ref: '#/components/schemas/WorkflowCategory'
          description: Workflow category
          examples:
            - enrichment
        data_asset_types:
          items:
            type: string
          type: array
          title: Data Asset Types
          description: Supported data asset types
          examples:
            - - table
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Workflow description
          examples:
            - Detects and tags PII data in tables
        is_active:
          type: boolean
          title: Is Active
          description: Whether workflow is active
          examples:
            - true
        created_at:
          type: string
          title: Created At
          description: Creation timestamp (ISO 8601)
          examples:
            - '2024-01-01T00:00:00Z'
        require_reference_pack:
          type: boolean
          title: Require Reference Pack
          readOnly: true
        supports_multi_table_selection:
          type: boolean
          title: Supports Multi Table Selection
          readOnly: true
        requires_approval:
          type: boolean
          title: Requires Approval
          readOnly: true
        stream:
          type: boolean
          title: Stream
          readOnly: true
      type: object
      required:
        - workflow_type
        - id
        - name
        - category
        - data_asset_types
        - is_active
        - created_at
        - require_reference_pack
        - supports_multi_table_selection
        - requires_approval
        - stream
      title: WorkflowDefinitionListItem
      description: |-
        Summary workflow definition information for list responses.

        Inherits common fields from WorkflowDefinitionBaseFields.
      example:
        category: enrichment
        created_at: '2024-01-01T00:00:00Z'
        data_asset_types:
          - table
        description: Detects and tags PII data in tables
        id: 123e4567-e89b-12d3-a456-426614174001
        is_active: true
        name: Generate PII Tags
        require_reference_pack: true
        requires_approval: true
        supports_multi_table_selection: false
        workflow_type: generate-pii-tags
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
          description: Current page number (1-indexed)
        per_page:
          type: integer
          title: Per Page
          description: Items per page
        total:
          type: integer
          title: Total
          description: Total number of items
        total_pages:
          type: integer
          title: Total Pages
          description: Total number of pages
        has_next:
          type: boolean
          title: Has Next
          description: Whether there is a next page
        has_prev:
          type: boolean
          title: Has Prev
          description: Whether there is a previous page
      type: object
      required:
        - page
        - per_page
        - total
        - total_pages
        - has_next
        - has_prev
      title: PaginationMeta
      description: >-
        Standard pagination metadata for list responses.


        This model provides consistent pagination information across all
        paginated

        API responses in the service.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    WorkflowCategory:
      type: string
      enum:
        - ingestion
        - enrichment
        - data_quality
        - assessment
        - intelligence
      title: WorkflowCategory
      description: |-
        Workflow categories for grouping workflows.

        Categories help organize workflows into logical groups for UI display
        and filtering purposes.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT Bearer token authentication. Include the token in the Authorization
        header as: `Authorization: Bearer <token>`. The JWT must contain valid
        client_id, and project_id claims for tenant isolation and SDK routing.

````